classification
Title: Allow ',' delimiters in logging.config.fileConfig()
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: vinay.sajip, wcmaier
Priority: normal Keywords: patch

Created on 2008-08-29 13:44 by wcmaier, last changed 2019-07-20 16:43 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
logging.diff wcmaier, 2008-08-29 13:44
Messages (2)
msg72134 - (view) Author: Will Maier (wcmaier) Date: 2008-08-29 13:44
Currently, logging.config.fileConfig() inconsistently handles lines like:

[handlers]
keys = spam, eggs

[formatters]
keys = foo, bar

It does, however, correctly handle the ', ' delimiter in the [loggers]
section. This is because the various _install_*() functions in
logging.config aren't consistent about whether (and when) or not they
strip whitespace when generating key names.

Though the stdlib documentation only includes examples in the [handlers]
and [formatters] section with ',' delimiters, it seems reasonable to
expect that logging.config.fileConfig() should handle ', '. The attached
test demonstrates the failure and suggests a solution.

Thanks!
whitespace
msg72381 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2008-09-03 09:21
Fix checked into trunk (slightly modified version of patch).
History
Date User Action Args
2019-07-20 16:43:08terry.reedysetpull_requests: - pull_request14658
2019-07-20 16:35:34nsiregarsetpull_requests: + pull_request14658
2008-09-03 09:21:01vinay.sajipsetstatus: open -> closed
resolution: fixed
messages: + msg72381
2008-09-01 17:47:44vinay.sajipsetassignee: vinay.sajip
nosy: + vinay.sajip
2008-08-29 13:44:43wcmaiercreate